localhost ansible_connection=local ansible_python_interpreter="/usr/bin/env python"

[controller]
localhost

[appcluster]
{{ inventory_hostname }}-web[1:4]
{{ inventory_hostname }}-app[1:4]
{{ inventory_hostname }}-db

[loadbalancer]
{{ inventory_hostname }}-lb

[bastion]
{{ inventory_hostname }}-bastion

[web]
{{ inventory_hostname }}-web[1:4]

[db]
{{ inventory_hostname }}-db

[app]
{{ inventory_hostname }}-app[1:4]

[publichosts:children]
bastion
loadbalancer

[private_net:children]
appcluster
loadbalancer

[cluster:children]
bastion
loadbalancer
appcluster


[blue]
{{ inventory_hostname }}-web[1:2]
{{ inventory_hostname }}-app[1:2]


[green]
{{ inventory_hostname }}-web[3:4]
{{ inventory_hostname }}-app[3:4]

[blue_green:children]
blue
green

[all:vars]
prefix={{ inventory_hostname }}
cloud_name=catalyst-cloud
